package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import com.bpcl.lpg.core.constants.GeneratedBpcllpgcoreConstants;
import java.util.Collection;
import de.hybris.platform.jalo.user.User;
import com.bpcl.core.jalo.BPCLCustomer;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.util.OneToManyHandler;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class BpclEkycTransaction extends GenericItem
{
    public static final String LPGID = "lpgId";
    public static final String RETURNCODE = "returnCode";
    public static final String RETURNMSG = "returnMsg";
    public static final String PARTNERCODE = "partnerCode";
    public static final String PARTNERTRANSID = "partnerTransId";
    public static final String UNIQUEAPIREQNO = "uniqueApiReqNo";
    public static final String CONSUMERNAME = "consumerName";
    public static final String EKYCTRANSACTIONID = "eKycTransactionId";
    public static final String REFERENCEKEY = "referenceKey";
    public static final String ISEKYCPERFORMED = "iseKycPerformed";
    public static final String EKYCTYPE = "eKycType";
    public static final String EKYCPERFORMEDON = "ekycPerformedOn";
    public static final String EKYCPERFORMEDFOR = "eKycPerformedFor";
    public static final String REQUESTBODY = "requestBody";
    public static final String EKYCREQUESTEDBY = "eKycRequestedBy";
    public static final String CORRELATIONID = "correlationId";
    public static final String EKYCUPDATESTATUS = "ekycUpdateStatus";
    protected static final OneToManyHandler<BpclEkycUpdateStatus> EKYCUPDATESTATUSHANDLER;
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return BpclEkycTransaction.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getConsumerName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consumerName".intern());
    }
    
    public String getConsumerName() {
        return this.getConsumerName(this.getSession().getSessionContext());
    }
    
    public void setConsumerName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consumerName".intern(), (Object)value);
    }
    
    public void setConsumerName(final String value) {
        this.setConsumerName(this.getSession().getSessionContext(), value);
    }
    
    public String getCorrelationId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "correlationId".intern());
    }
    
    public String getCorrelationId() {
        return this.getCorrelationId(this.getSession().getSessionContext());
    }
    
    public void setCorrelationId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "correlationId".intern(), (Object)value);
    }
    
    public void setCorrelationId(final String value) {
        this.setCorrelationId(this.getSession().getSessionContext(), value);
    }
    
    public BPCLCustomer getEKycPerformedFor(final SessionContext ctx) {
        return (BPCLCustomer)this.getProperty(ctx, "eKycPerformedFor".intern());
    }
    
    public BPCLCustomer getEKycPerformedFor() {
        return this.getEKycPerformedFor(this.getSession().getSessionContext());
    }
    
    public void setEKycPerformedFor(final SessionContext ctx, final BPCLCustomer value) {
        this.setProperty(ctx, "eKycPerformedFor".intern(), (Object)value);
    }
    
    public void setEKycPerformedFor(final BPCLCustomer value) {
        this.setEKycPerformedFor(this.getSession().getSessionContext(), value);
    }
    
    public String getEkycPerformedOn(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "ekycPerformedOn".intern());
    }
    
    public String getEkycPerformedOn() {
        return this.getEkycPerformedOn(this.getSession().getSessionContext());
    }
    
    public void setEkycPerformedOn(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "ekycPerformedOn".intern(), (Object)value);
    }
    
    public void setEkycPerformedOn(final String value) {
        this.setEkycPerformedOn(this.getSession().getSessionContext(), value);
    }
    
    public User getEKycRequestedBy(final SessionContext ctx) {
        return (User)this.getProperty(ctx, "eKycRequestedBy".intern());
    }
    
    public User getEKycRequestedBy() {
        return this.getEKycRequestedBy(this.getSession().getSessionContext());
    }
    
    public void setEKycRequestedBy(final SessionContext ctx, final User value) {
        this.setProperty(ctx, "eKycRequestedBy".intern(), (Object)value);
    }
    
    public void setEKycRequestedBy(final User value) {
        this.setEKycRequestedBy(this.getSession().getSessionContext(), value);
    }
    
    public String getEKycTransactionId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "eKycTransactionId".intern());
    }
    
    public String getEKycTransactionId() {
        return this.getEKycTransactionId(this.getSession().getSessionContext());
    }
    
    public void setEKycTransactionId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "eKycTransactionId".intern(), (Object)value);
    }
    
    public void setEKycTransactionId(final String value) {
        this.setEKycTransactionId(this.getSession().getSessionContext(), value);
    }
    
    public String getEKycType(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "eKycType".intern());
    }
    
    public String getEKycType() {
        return this.getEKycType(this.getSession().getSessionContext());
    }
    
    public void setEKycType(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "eKycType".intern(), (Object)value);
    }
    
    public void setEKycType(final String value) {
        this.setEKycType(this.getSession().getSessionContext(), value);
    }
    
    public Collection<BpclEkycUpdateStatus> getEkycUpdateStatus(final SessionContext ctx) {
        return BpclEkycTransaction.EKYCUPDATESTATUSHANDLER.getValues(ctx, (Item)this);
    }
    
    public Collection<BpclEkycUpdateStatus> getEkycUpdateStatus() {
        return this.getEkycUpdateStatus(this.getSession().getSessionContext());
    }
    
    public void setEkycUpdateStatus(final SessionContext ctx, final Collection<BpclEkycUpdateStatus> value) {
        BpclEkycTransaction.EKYCUPDATESTATUSHANDLER.setValues(ctx, (Item)this, (Collection)value);
    }
    
    public void setEkycUpdateStatus(final Collection<BpclEkycUpdateStatus> value) {
        this.setEkycUpdateStatus(this.getSession().getSessionContext(), value);
    }
    
    public void addToEkycUpdateStatus(final SessionContext ctx, final BpclEkycUpdateStatus value) {
        BpclEkycTransaction.EKYCUPDATESTATUSHANDLER.addValue(ctx, (Item)this, (Item)value);
    }
    
    public void addToEkycUpdateStatus(final BpclEkycUpdateStatus value) {
        this.addToEkycUpdateStatus(this.getSession().getSessionContext(), value);
    }
    
    public void removeFromEkycUpdateStatus(final SessionContext ctx, final BpclEkycUpdateStatus value) {
        BpclEkycTransaction.EKYCUPDATESTATUSHANDLER.removeValue(ctx, (Item)this, (Item)value);
    }
    
    public void removeFromEkycUpdateStatus(final BpclEkycUpdateStatus value) {
        this.removeFromEkycUpdateStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getIseKycPerformed(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "iseKycPerformed".intern());
    }
    
    public String getIseKycPerformed() {
        return this.getIseKycPerformed(this.getSession().getSessionContext());
    }
    
    public void setIseKycPerformed(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "iseKycPerformed".intern(), (Object)value);
    }
    
    public void setIseKycPerformed(final String value) {
        this.setIseKycPerformed(this.getSession().getSessionContext(), value);
    }
    
    public String getLpgId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "lpgId".intern());
    }
    
    public String getLpgId() {
        return this.getLpgId(this.getSession().getSessionContext());
    }
    
    public void setLpgId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "lpgId".intern(), (Object)value);
    }
    
    public void setLpgId(final String value) {
        this.setLpgId(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerCode".intern());
    }
    
    public String getPartnerCode() {
        return this.getPartnerCode(this.getSession().getSessionContext());
    }
    
    public void setPartnerCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerCode".intern(), (Object)value);
    }
    
    public void setPartnerCode(final String value) {
        this.setPartnerCode(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerTransId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerTransId".intern());
    }
    
    public String getPartnerTransId() {
        return this.getPartnerTransId(this.getSession().getSessionContext());
    }
    
    public void setPartnerTransId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerTransId".intern(), (Object)value);
    }
    
    public void setPartnerTransId(final String value) {
        this.setPartnerTransId(this.getSession().getSessionContext(), value);
    }
    
    public String getReferenceKey(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "referenceKey".intern());
    }
    
    public String getReferenceKey() {
        return this.getReferenceKey(this.getSession().getSessionContext());
    }
    
    public void setReferenceKey(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "referenceKey".intern(), (Object)value);
    }
    
    public void setReferenceKey(final String value) {
        this.setReferenceKey(this.getSession().getSessionContext(), value);
    }
    
    public String getRequestBody(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "requestBody".intern());
    }
    
    public String getRequestBody() {
        return this.getRequestBody(this.getSession().getSessionContext());
    }
    
    public void setRequestBody(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "requestBody".intern(), (Object)value);
    }
    
    public void setRequestBody(final String value) {
        this.setRequestBody(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnCode".intern());
    }
    
    public String getReturnCode() {
        return this.getReturnCode(this.getSession().getSessionContext());
    }
    
    public void setReturnCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnCode".intern(), (Object)value);
    }
    
    public void setReturnCode(final String value) {
        this.setReturnCode(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnMsg".intern());
    }
    
    public String getReturnMsg() {
        return this.getReturnMsg(this.getSession().getSessionContext());
    }
    
    public void setReturnMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnMsg".intern(), (Object)value);
    }
    
    public void setReturnMsg(final String value) {
        this.setReturnMsg(this.getSession().getSessionContext(), value);
    }
    
    public String getUniqueApiReqNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "uniqueApiReqNo".intern());
    }
    
    public String getUniqueApiReqNo() {
        return this.getUniqueApiReqNo(this.getSession().getSessionContext());
    }
    
    public void setUniqueApiReqNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "uniqueApiReqNo".intern(), (Object)value);
    }
    
    public void setUniqueApiReqNo(final String value) {
        this.setUniqueApiReqNo(this.getSession().getSessionContext(), value);
    }
    
    static {
        EKYCUPDATESTATUSHANDLER = new OneToManyHandler(GeneratedBpcllpgcoreConstants.TC.BPCLEKYCUPDATESTATUS, true, "ekycTransaction", (String)null, false, true, 0);
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("lpgId", Item.AttributeMode.INITIAL);
        tmp.put("returnCode", Item.AttributeMode.INITIAL);
        tmp.put("returnMsg", Item.AttributeMode.INITIAL);
        tmp.put("partnerCode", Item.AttributeMode.INITIAL);
        tmp.put("partnerTransId", Item.AttributeMode.INITIAL);
        tmp.put("uniqueApiReqNo", Item.AttributeMode.INITIAL);
        tmp.put("consumerName", Item.AttributeMode.INITIAL);
        tmp.put("eKycTransactionId", Item.AttributeMode.INITIAL);
        tmp.put("referenceKey", Item.AttributeMode.INITIAL);
        tmp.put("iseKycPerformed", Item.AttributeMode.INITIAL);
        tmp.put("eKycType", Item.AttributeMode.INITIAL);
        tmp.put("ekycPerformedOn", Item.AttributeMode.INITIAL);
        tmp.put("eKycPerformedFor", Item.AttributeMode.INITIAL);
        tmp.put("requestBody", Item.AttributeMode.INITIAL);
        tmp.put("eKycRequestedBy", Item.AttributeMode.INITIAL);
        tmp.put("correlationId", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
